blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
6d923d7923f2b4ff96999bc3249bc3f7deffd45c | Shell | adsherlock658/adsherlock | /src/adsherlock/requestCap/getlog.sh | UTF-8 | 442 | 2.890625 | 3 | [] | no_license | #!/bin/bash
andtpdlog=$1
tplog=$2
presult=$3
andlog=$4
clicklog=$5
nohup adb shell tcpdump -i any -p -vv -s 0 -w $andtpdlog &
adb logcat -c
python ../clickdroid/simclick_v2.py $clicklog
pids=`ps x|grep 'tcpdump'|awk '{print $1}'`
echo $pids
echo "PID of this script is: $$"
for pid in $pids
do
echo $pid
if [... | true |
934bc8397cc2bf41432e56adbfcba7a5e623cf51 | Shell | kokakolako/void-packages | /srcpkgs/xbps-triggers/files/system-accounts | UTF-8 | 3,759 | 4.25 | 4 | [
"BSD-2-Clause"
] | permissive | #!/bin/sh
#
# (Un)registers systems accounts (users/groups).
#
# Arguments: $ACTION = [run/targets]
# $TARGET = [post-install/pre-remove]
# $PKGNAME
# $VERSION
# $UPDATE = [yes/no]
#
ACTION="$1"
TARGET="$2"
PKGNAME="$3"
VERSION="$4"
UPDATE="$5"
group_add() {
local _grname _gid use_gid
_grname="${1%:*}"
_gid="$... | true |
3faa31ec7734a5db1c2977e171e4d950b13136bd | Shell | samiulsaki/portfolio-INF4331 | /assignment2/calc.sh | UTF-8 | 841 | 4.40625 | 4 | [] | no_license | #!/bin/bash
## Calculator with operation and arguments ##
clear
function calculator {
printf "\nWrong format!! You must provide all the arguments \n"
printf "Use format: $(tput setaf 1)./calc.sh $(tput setaf 3)S(Summation) | P(Product) | M(Maximum) | m(Minimum) $(tput setaf 5)num num num ... ... \n\n"
exit
}
[ ... | true |
e90bc748697c24e0e667dee5b621e4d3daf39d30 | Shell | coltonjgerber/bin-ghamton | /auto/auto_dis.sh | UTF-8 | 4,306 | 3.796875 | 4 | [] | no_license | #!/bin/bash
set -e
source rerunVASP_functions.sh
source verbose_mode.sh
is_continuous=false
while :; do
case $1 in
(--cont|--continuous)
is_continuous=true
;;
(-v|--v|--ve|--ver|--verb|--verbo|--verbos|--verbose)
;;
(--) # End of all options.
shift
break
;;
(-?*)
printf 'WARN: Unknow... | true |
1eaffb28b31399da1c61b3e669fd7331790c0f2c | Shell | cuigelasi/cloudNote | /云计算/OpenStack/安装/Ocata版/deploy_ocata/common/key.sh | UTF-8 | 1,323 | 3.25 | 3 | [] | no_license | #!/bin/bash
## 获取目录路径
getPath(){
this_dir=`pwd`
dirname $0 | grep "^/" >/dev/null
if [ $? -eq 0 ]; then
this_dir=`dirname $0`
else
dirname $0 | grep "^\." >/dev/null
retval=$?
if [ $retval -eq 0 ]; then
this_dir=`dirname $0 | sed "s#^.#$this_dir#"`
els... | true |
7a01640f47414ff5e08465077486c5f5ed5d7cb2 | Shell | znibb/docker-murmur | /build.sh | UTF-8 | 226 | 2.734375 | 3 | [] | no_license | #!/bin/bash
###
# Rebuilds the image into the 'latest' tag
###
# Docker hub username
USERNAME=znibb
# Image name
IMAGE=murmur
# Latest version pushed to Docker hub
LATEST_VERSION=2
docker build -t $USERNAME/$IMAGE:latest .
| true |
e6e4df75fd4847e1cb2d79c2cfaab8a4b9d91e3e | Shell | hanXen/avasProject | /linux_os_20201112094111.sh | UTF-8 | 10,548 | 3.84375 | 4 | [] | no_license | #!/bin/sh
lang_check=`locale -a 2>/dev/null | grep "en_US" | egrep -i "(utf8|utf-8)"`
if [ "$lang_check" = "" ]; then
lang_check="C"
fi
LANG="$lang_check"
LC_ALL="$lang_check"
LANGUAGE="$lang_check"
export LANG
export LC_ALL
export LANGUAGE
if [ "`command -v netstat 2>/dev/null`" != "" ] || [ "`which netstat 2>/dev/... | true |
ff028c24bd6efe1ae6ee5ca7df4c21b93a0a9dc4 | Shell | cristianojmiranda/x123 | /bin/gitpu | UTF-8 | 246 | 3.5 | 4 | [] | no_license | #!/bin/bash
echo "git push"
if [[ $# -eq 0 ]]; then
echo "Inform the branch to push, eg gitpu <branch>"
exit 1
fi
gits
if [[ "$(git branch | grep '*' | awk '{print $2}')" != "$1" ]]; then
echo "Invalid branch"
exit 1
fi
git push origin $1
| true |
eca57d56c6677915fb5e67ae755ec156531f6264 | Shell | Ponce/slackbuilds | /system/rox-filer/rox-filer.sh | UTF-8 | 168 | 3.046875 | 3 | [] | no_license | #!/bin/sh
if [ ! "$XDG_CONFIG_DIRS" = "" ]; then
XDG_CONFIG_DIRS=$XDG_CONFIG_DIRS:/etc/rox/xdg
else
XDG_CONFIG_DIRS=/etc/xdg:/etc/rox/xdg
fi
export XDG_CONFIG_DIRS
| true |
c26ced2a3104f17ad4b0576e464d677cc52d1b61 | Shell | martamatos/eMASS-MD | /eMASS-MDpy/src/tests/test_files/test_kinetics_integration/prep_run_fit_script/true_res_run_kinetic_fit.sh | UTF-8 | 1,379 | 2.640625 | 3 | [] | no_license | #!/bin/sh
#PBS -N G6PDH2r2
#PBS -q hpc
#PBS -l walltime=5:00:00
#PBS -l nodes=1:ppn=1,mem=2gb
export PYTHONPATH=/zhome/89/0/90554/.local/lib/python2.6/site-packages
main_dir=/zhome/89/0/90554/kinetics_fit/G6PD
data_dir=/zhome/89/0/90554/kinetics_fit/G6PD/data
results_dir=/zhome/89/0/90554/kinetics_fit/G6PD/results
sc... | true |
237ec821b088068da82d9ec9904569d6efe74954 | Shell | rysterzhu/Chromatin-Structure-in-SCNT | /shell-script/hic_directional_index1.sh | UTF-8 | 1,043 | 3.25 | 3 | [] | no_license | #!/bin/bash
res=40000
length=2000000
while [ -n "$1" ]; do
case "$1" in
-h) help; shift 1;;
-w) wdir=$2; shift 2;;
-m) matrix=$2; shift 2;;
-r) res=$2; shift 2;;
-l) length=$2; shift 2;;
-*) echo "error: no such option $1. -h for help";exit 1;;
*) break;
esac
done
mkdir -p $wdir/0.raw $wdir/3.pl... | true |
47d7293b3283dc7153c46fbecf3e9ad09c09cca5 | Shell | bidodev/code-learning | /html-css/basics/create.sh | UTF-8 | 3,786 | 3.890625 | 4 | [] | no_license | #!/bin/bash
##Define the sleep timers.
short_timer=0.1
medium_timer=1
long_timer=2
#basic website structure folders
site_folders=("css" "html" "img" "js" "sass")
#sass pattern folders
sass_pattern=("base" "components" "layout" "pages" "themes" "abstracts" "vendors")
#pattern files
base=("_reset.scss" "_typography.s... | true |
12fdcbb965d18648a301572fe105dbee1d79d865 | Shell | JoshuaGehre/CppIsYou | /Setup.sh | UTF-8 | 171 | 2.828125 | 3 | [
"LicenseRef-scancode-other-permissive"
] | permissive | #!/bin/bash
set -e -u
for i in Levels/Level_* ; do
if [ -d "$i" ]; then
cp "Scripts/Move.sh" "${i}/Move.sh"
cp "Scripts/Restart.sh" "${i}/Restart.sh"
fi
done | true |
1f5f52422d92942703e04db60b616aedff5e125b | Shell | wangwanzhong/scripts | /redis/ins_redis.sh | UTF-8 | 1,021 | 2.984375 | 3 | [] | no_license | #!/bin/bash
# Usage: ./ins-redis.sh 3.2.8
# wget https://raw.githubusercontent.com/wangwanzhong/scripts/master/redis/ins_redis.sh -O -| /bin/bash
set -e
DEFAULT_VERSION="3.2.8"
[ -z "$1" ] && VERSION=${DEFAULT_VERSION} || VERSION=$1
echo "Install version ${VERSION}"
yum -y install gcc-c++ make
[ ! -f "redis-${VER... | true |
4776a5b9a89ada68abd58ddf9707770a83a75eca | Shell | phpapi/shell | /set.sh | GB18030 | 499 | 2.640625 | 3 | [] | no_license | #!/bin/sh
git filter-branch --env-filter '
OLD_EMAIL="¼"
CORRECT_NAME="github˻"
CORRECT_EMAIL="ȷ˻"
if [ "$GIT_COMMITTER_EMAIL" = "$OLD_EMAIL" ]
then
export GIT_COMMITTER_NAME="$CORRECT_NAME"
export GIT_COMMITTER_EMAIL="$CORRECT_EMAIL"
fi
if [ "$GIT_AUTHOR_EMAIL" = "$OLD_EMAIL" ]
then
expor... | true |
3db86e38b04e419562acf6887b6d1d98b365c839 | Shell | gbourgeo/42projects | /corewar/asm.d/asm_test.sh | UTF-8 | 1,623 | 3.328125 | 3 | [] | no_license | #!/bin/bash
count=0
success=0
error=0
crash=0
nc=0
asm_entry="./asm"
asm_zaz="unitest_asm/asm_zaz"
for entry in "unitest_asm/err"/*.s
do
count=$((count + 1))
err=$(echo $(./asm $entry >&/dev/null ; echo $?))
target=$(echo $entry | cut -f3 -d"/")
if [ "$err" -eq 1 ]
then
success=$((success + 1))
printf "%-40... | true |
0fef35ec48b8ad0d9f5e5d63ae5bacddf2ffba7c | Shell | benoitje/problem-set-2 | /prob2.sh | UTF-8 | 1,683 | 2.984375 | 3 | [] | no_license | #! user/bin/env bash
histone_bed="../data-sets/bed/encode.h3k4me3.hela.chr22.bed.gz"
CTCF="../data-sets/bed/encode.tfbs.chr22.bed.gz"
gzcat $CTCF | awk '($4=="CTCF")'>ctcf-peaks.bed
answer_1=$(bedtools intersect -a ctcf-peaks.bed -b $histone_bed -wo \
|awk '{print $NF}' \
|sort -nr |head -n1)
echo "answe... | true |
3d09131bbc481a646697a073f20374a191b71018 | Shell | nu-art/dev-tools | /scripts/._tests/core/spinner.sh | UTF-8 | 1,721 | 2.765625 | 3 | [] | no_license | #
# This file is a part of nu-art projects development tools,
# it has a set of bash and gradle scripts, and the default
# settings for Android Studio and IntelliJ.
#
# Copyright (C) 2017 Adam van der Kruk aka TacB0sS
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this f... | true |
4e408dddd6629e8d603014b51133b495b6297599 | Shell | SCSE-Keith/NewTermExtraction | /TermExtractionNew/data/getRWO.sh | UTF-8 | 764 | 3.328125 | 3 | [] | no_license | #!/bin/bash
# 以阈值为10的数据为基准,得到其他阈值下的正确的错误的和不确定的三个文件
for file in backup/data/*
do
while read line
do
grep -w "^"$line"$" backup/term_all.txt > /dev/null
if [ $? -eq 0 ]; then
echo $line >> ${file%%.txt}"_r.txt"
else
grep -w "^"$line"$" backup/finalterm10_w.txt > /dev/null
if [ $? -eq... | true |
6bb53c903a7dbf1ad7ffc33ff5284944d1429e4b | Shell | KdeOs/main | /progsreiserfs/PKGBUILD | UTF-8 | 813 | 2.78125 | 3 | [] | no_license |
pkgname=progsreiserfs
pkgver=0.3.0.5
pkgrel=8
pkgdesc="library for accessing and manipulating reiserfs partitions"
arch=('x86_64')
url="http://www.namesys.com"
license=('GPL')
depends=('e2fsprogs')
options=('!libtool')
source=("ftp://ftp.archlinux.org/other/${pkgname}/${pkgname}-${pkgver}.tar.gz"
'fix-underquo... | true |
6b09b4c2cfda68734d7a025552b39ff07dfc4109 | Shell | mbnguyen/Test1 | /averageAgeOfASex.sh | UTF-8 | 404 | 2.671875 | 3 | [] | no_license | #!/bin/bash
awk -F '|' 'BEGIN{
sumMale = sumFemale = 0;
countMale = countFemale = 0;
}
{
if ($2 == "Male") {
sumMale += $1;
countMale += 1;
}
if ($2 == "Female") {
sumFemale += $1;
countFemale += 1;
}
}
END {
avgMale = sumMale / countMale;
avgFemale = sumFemale / countFemale;
printf ("Average age of ... | true |
c881ed0c8281cb6fe5ce21014812c89840765379 | Shell | AlonMusk/heguangyu5.github.io | /my-linux/build-initrd-img-busybox-dyn-with-my-simple-shell.sh | UTF-8 | 585 | 2.515625 | 3 | [] | no_license | #!/bin/bash
mkdir tmp_initrd_dir
cd tmp_initrd_dir
mkdir -p bin dev usr/sbin usr/bin sbin proc sys
cp ../busybox.dyn ./bin/busybox
mkdir lib64 lib
cp /lib64/ld-linux-x86-64.so.2 lib64/
cp /lib/x86_64-linux-gnu/{libm.so.6,libc.so.6} lib/
sudo chroot ./ /bin/busybox --install -s
cp ../tools/my-simple-shell ./init
find... | true |
511731f4df286b68aa9f161ae1f4f72f32124cdd | Shell | otus-devops-2019-02/Egrn_infra | /play-travis/mytravis.sh | UTF-8 | 2,119 | 3.234375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -e
echo 'Hello Travis'
#украдем версии у преподаватаелей
PACKER_VER=1.2.4
TERRAFORM_VER=0.11.7
TFLINT_VER=0.7.0
ANSIBLE_VER=2.6.0
ANSLINT_VER=3.4.23
DOCKERVERSION=18.03.0-ce
DOCKERCOMPOSE_VER=1.21.0
#украдем зависимости у преподаватаелей
sudo pip install --upgrade pip
sudo pip install ansible==${AN... | true |
4fe2e1107d775b1cfb814dd6a9dc58f71a67f706 | Shell | ArnaudPiquet/helloGit | /Bash/Java.bash | UTF-8 | 464 | 2.890625 | 3 | [] | no_license | #!/bin/bash
# bash hello Java
#
startMessage="Initialisation";
stopMessage="Fin du programme";
sourceJava="public class Main {
public static void main(String[] args) {
System.out.println(\"Hello, World\");
}
}";
echo $startMessage;
rm -rf src/;
mkdir src;
echo $sourceJava >> ./src/Main.java;
cd ./src;
j... | true |
b674fd2df51315e186dcaf7dd0ec3b8ea90a837c | Shell | canesche/kmeans | /gpu/kmeans_jeronimo/run_tests.sh | UTF-8 | 327 | 2.6875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
python generate_kmeans_gpu.py
K=2
while [ $K -lt 65 ]; do
DIM=2
while [ $DIM -lt 65 ]; do
echo "kmeans_k"$K"_d"$DIM
nvcc "kmeans_gpu_k"$K"_d"$DIM".cu" -std=c++11 -O3
./a.out 2000000 100 ~/Documentos/kmeans/USCensus1990.data.txt
let DIM=DIM*2
done
let K=K*2
done
rm a.out
... | true |
86906dd4ce82ba7760d37a46a50e899a70fe0171 | Shell | justinscript/useful-develop-tools | /script/shell/html2xml.sh | UTF-8 | 1,624 | 3.296875 | 3 | [] | no_license | #!/bin/bash
# by zxc
# 将html处理成xml的shell
PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin
export PATH
#Begin
cd /xxxxxxxxxxxxxxxxxxxxxxxxxxxxx
wget --output-document=hist.tmp -q http://xxxxxxxxxxxxxxxxxxxxxxxxxx > /dev/null
echo -e "\n<android>" > hist.xml
fgrep "hh14" hist.tmp | sed 's/.*a href=\"\.... | true |
f8f12b598702ef564ea2f0d3ce23f6f031153a83 | Shell | ajmendez/somnolent | /bin/somnolent_backup | UTF-8 | 606 | 3.390625 | 3 | [] | no_license | #!/bin/bash
source ~/.limited/env
APPFILE="f2c74a8ab2a40bdae1796ae48dc47e19a69a52b0"
FILENAME="${HOME}/Library/Application Support/MobileSync/Backup/${UUID}/${APPFILE}"
pushd `dirname $0` > /dev/null
SCRIPTPATH=`pwd -P`
popd > /dev/null
OUTFILE="${SCRIPTPATH}/../data/sleep_$(date +%Y.%m.%d).sqlite"
CURRFILE="${SCRI... | true |
f4796d4ac8bcabdcfba5c85a3fcf1dc7a55a3156 | Shell | lamsh/misc | /argparse/argparse_while.sh | UTF-8 | 5,552 | 3.765625 | 4 | [] | no_license | ################################################################################
# \file argparse_while.sh
# \author SENOO, Ken
# \copyright CC0
################################################################################
## \brief Initialize POSIX shell environment
set -eu
umask 0022
PATH="$(command -p ge... | true |
1f1f35bebe8a710781e083979460f0f32d41778f | Shell | krishnasai101/og-admin | /push-server.sh | UTF-8 | 1,185 | 2.9375 | 3 | [] | no_license | #!/usr/bin/env bash
# Please add below ref
# git remote add server git@github.com:venturepact/og-build.git
BRANCH="admin-rely"
CONFIG_ENV=" --env=prod --prod --aot --build-optimizer --output-hashing none"
if [ "$1" = "admin" ]
then
BRANCH="admin"
CONFIG_ENV=" --prod --env=$1 --aot --build-optimizer --outpu... | true |
bdcc13f50eb8641b1fd5482601210fe5107cf8a7 | Shell | sadsfae/xfce-test | /container_scripts/build_all.sh | UTF-8 | 6,150 | 2.765625 | 3 | [] | no_license | #!/usr/bin/env bash
XFCE_BASE=https://gitlab.xfce.org
MAIN_BRANCH=last_release
VERSION_FILE="/home/xfce-test_user/version_info.txt"
echo "# The OK marks if building this component in the current container was successful" >> $VERSION_FILE
# (BUILD_TYPE BRANCH URL NAME) tuples:
REPOS=("autogen ${MAIN_BRANCH} ${XFCE_... | true |
ac547fc48f727a26a779c87dc8e601d0fb7a36f3 | Shell | hernad/docker-archlinux-aur | /build_mingw_harbour.sh | UTF-8 | 368 | 2.671875 | 3 | [] | no_license | #!/bin/bash
echo "build harbour mingw"
echo "/usr/include bothers mingw compilation"
sudo mv /usr/include /usr/include.orig
source /set_mingw_cross_build.sh
sudo chown docker -R /usr/i686-w64-mingw32
cd /home/docker/harbour-core
make
make HB_INSTALL_PREFIX=/usr/i686-w64-mingw32 install
#mv /usr/i686-w64-mingw... | true |
59f397e5b329e56151432d22448747e02611c0e4 | Shell | ddieppa/mac-dotfiles | /src/os/create_symbolic_links.sh | UTF-8 | 3,122 | 4.03125 | 4 | [] | no_license | #!/bin/bash
cd "$(dirname "${BASH_SOURCE[0]}")" \
&& . "utils.sh"
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
create_symlinks() {
declare -a FILES_TO_SYMLINK=(
"shell/aliases/bash_aliases"
"shell/autocomplete/$(get_os)/bash_autocomplete"
"shell/bash_expor... | true |
bad17cc2614f1150796cdeb6e8b0d45a044d880b | Shell | abaire/bdsm-extensions | /postgresql/bin/help | UTF-8 | 322 | 2.53125 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
actions "
install - Install postgresql server
configure - Ensure that postgresql.conf is in place
initialize - initdb for the postgresql data directory
start - Start postgresql server
stop - Stop postgresql server
restart - Restart postgresql server
"
show_help usage... | true |
256c705081048e34d897c3c4e2ed193207a38ff4 | Shell | saqman2060/plycon | /systemuptime | UTF-8 | 736 | 3.84375 | 4 | [] | no_license | #!/bin/bash
#This script shows the time and date of the running system
#users who are currently logged in,
#and, how long the system as been running
echo "Checking system uptime"
#This command shows the current date
#The output of the command ("1", which means stdout) is redirected to file variable $UPTIME
echo "Cur... | true |
493ae37a1f5456ec392f66de3de393f7f01059af | Shell | GeorgeManakanatas/Bash_Scripts | /treeScript/treeScriptAnsible/treeScriptAnsible.sh | UTF-8 | 1,322 | 4.09375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
################
# general info #
################
########################
# Supporting functions #
########################
# should get title and text in that order
question(){
zenity --question --width=300 --title=$1 --text="$2"
echo "$?"
}
# should get the p.kath to the folder and the file name... | true |
2b3874d7313d09591a51045759372c6ca0c195de | Shell | csknk/firewall | /build-firewall | UTF-8 | 5,267 | 3.53125 | 4 | [] | no_license | #!/bin/bash
#
# ------------------------------------------------------------------------------
# An iptables script that will initialise firewall rules.
# Tested for Ubuntu 16.04.
# ------------------------------------------------------------------------------
IPT="/sbin/iptables"
IPT6="/sbin/ip6tables"
# Set directory... | true |
ad2985a4bd962a23d2a2bf14630a40609db8c494 | Shell | aronvaughan/angular2-loopback-starter | /bash-utils2/start-dev.sh | UTF-8 | 498 | 3.015625 | 3 | [] | no_license | #!/bin/sh
###################################
# VARIABLES FOR ALL USERS OF BASHUTILS
# DEV AND CLIENTS
###################################
export BASH_UTILS_HOME=`pwd`
echo start-dev: BASH_UTILS_HOME ${BASH_UTILS_HOME}
export BASH_UTILS_ENV=dev
echo start-dev: Environment $BASH_UTILS_ENV
export DEBUG=1
export LOG_LEVE... | true |
a5a18e6c840991fe25ee1902827333e12a0bbbe0 | Shell | gbsf/archlinux-packages | /gcc3/repos/extra-x86_64/PKGBUILD | UTF-8 | 1,625 | 2.671875 | 3 | [] | no_license | # $Id$
# Maintainer: Jan de Groot <jgc@archlinux.org>
pkgname=gcc3
pkgver=3.3.6
pkgrel=3
#_snapshot=4.1-20060519
pkgdesc="The GNU Compiler Collection"
arch=(i686 x86_64)
url="http://gcc.gnu.org"
depends=('libstdc++5' 'gcc')
options=('nolibtool')
source=(ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-{core,g++}-${... | true |
e6e6b2745f59ccbfaf1a6508a1ba39cdc785ba0b | Shell | thp/apkenv | /wrapper-generator/find_headers.sh | UTF-8 | 338 | 3.296875 | 3 | [
"BSD-2-Clause",
"LicenseRef-scancode-public-domain",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash
# Find headers for functions using manpages
# Thomas Perl <m@thp.io>; 2012-10-19
for file in $*; do
rm -f $file.includes
for symbol in $(cat $file); do
man -S 2,3 $symbol | grep -o '#include <.*>' >>$file.includes.tmp
done
cat $file.includes.tmp | sort -u >$file.includes
rm -f $... | true |
b974de97e830a548cceb0ab7e461846506c1a150 | Shell | michielkauwatjoe/Patches | /Shell/backup/backup-postgres.sh | UTF-8 | 1,161 | 3.5625 | 4 | [] | no_license | #!/bin/bash
#--------------------------------------------------
#
# This line should be in crontab:
#
# 00 01 * * * /path/to/script/backup.sh > /dev/null 2>&1
#
# Open it with crontab -e.
#--------------------------------------------------
# Location of the backup logfile. TODO use it.
#logfile="backup.log"
#touch $lo... | true |
9848f97d7aab888e3631b68eaaa209166feb80d4 | Shell | mschlenstedt/LoxBerry-Plugin-LoxMatic | /bin/hmserver.sh | UTF-8 | 2,060 | 3.390625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
PLUGINNAME=REPLACELBPPLUGINDIR
if [ "$UID" -ne 0 ]; then
echo "This script has to be run as root."
exit
fi
# Source HM environment
[[ -r $LBPCONFIG/$PLUGINNAME/hm_env ]] && . $LBPCONFIG/$PLUGINNAME/hm_env
# Kill existing HMServer
if pgrep -f HMIPServer.jar > /dev/null 2>&1 ; then
pkill -f HMIPServer.... | true |
bdf7ef30df1cb92c72ce51a80076c26434930624 | Shell | piotrekfus91/my-system-setup | /roles/scripts/files/local/brightness.sh | UTF-8 | 314 | 2.90625 | 3 | [] | no_license | #!/bin/bash -x
operator=$([ "$1" == "up" ] && echo "+" || echo "-")
current_brigthness=$(xrandr --verbose | grep -m 1 Brightness | awk '{print $2}')
new_brigthness=$(echo "$current_brigthness $operator 0.1" | bc)
xrandr --output eDP1 --brightness $new_brigthness
notify-send "Brightness: $new_brigthness" -t 1000 | true |
a5ebcded2ecfc6308990e66e0cbcbd46af4b9881 | Shell | wulechuan/wulechuan-bash-scripts-tools | /_building-tools/2-deploy-some-senarios-if-necessary/deploy.sh | UTF-8 | 2,213 | 3.46875 | 3 | [] | no_license | function wlc_bash_tools--building--deploy_some_senarios {
mkdir -p "$___pathOf_defaultDeploymentFolder"
echo
echo
local sourceSenarioSubPath
local builtSenarioSubPath
local builtSenarioPath
local senarioDeploymentScriptFile
for sourceSenarioSubPath in $___subPathsOf_senariosToDe... | true |
f3f5b494d67fc7fe08753243467a7be3fe50139a | Shell | CloudSen/clouds3n-shell | /auto_deploy_sh/src/project_info.sh | UTF-8 | 691 | 3.125 | 3 | [] | no_license | #!/bin/bash
# Author: CloudS3n
function project_summary() {
local projectList=($(cat ./project_list))
systemctl status spy-*
sleep 5
for projectName in "${projectList[@]}"; do
echo "====================project summary=======================" >> ./logs/log
if [[ ! -f "/home/5s/web/${proj... | true |
bec854b3876484b2db9c844d6deb963d987278bc | Shell | cretep/yi-hack-Allwinner-v2 | /src/static/static/yi-hack/script/clean_records.sh | UTF-8 | 696 | 3.75 | 4 | [
"MIT",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!/bin/sh
if [ $# -ne 1 ]; then
exit
fi
case $1 in
''|*[!0-9]*) exit;;
*) continue;;
esac
if [ $1 -gt 99 ]; then
exit
fi
if [ $1 -lt 1 ]; then
exit
fi
USED_SPACE_LIMIT=$((100-$1))
echo "$USED_SPACE_LIMIT"
cd /tmp/sd/record
USED_SPACE=`df /tmp/sd/ | grep mmc | awk '{print $5}' | tr -d '%'`
if [... | true |
766643b529931e02e03ac9598b448ac5737da478 | Shell | kannabanana/cs325_algo | /group1/python/tester_script | UTF-8 | 157 | 2.59375 | 3 | [] | no_license | #!/usr/bin/bash
for i in $(seq 1 $1);
do
python intersectCount.py input"$i".txt > dump"$i".txt
echo testing for input"$i".txt
cat output.txt
echo
done
| true |
f78a41ef10d47a93a2f8a2cab5136b45bd99873c | Shell | yayankov/Operating-systems-FMI | /shell-script/forExam/1_Exam/1.32.sh | UTF-8 | 902 | 3.609375 | 4 | [] | no_license | #!/bin/bash
if [ ! -f ${1} ]; then
echo "Wrong arguments"
exit 1
fi
if [ ! -r ${1} ]; then
echo "The file is not readable"
exit 2
fi
FILE=${1}
sites=$(mktemp)
temp=$(mktemp)
cat ${FILE} | awk -F ' ' '{print $2}' | sort | uniq -c | awk '{$1=$1}1' | sort -rn -k1 -k2 | head -n 3 | awk -F ' ' '{print $2}' > ${sites... | true |
bc1351d0cf419dcff0a52510d633bf19d36a7246 | Shell | iwwz/pingmyip | /nping.sh | UTF-8 | 650 | 2.875 | 3 | [] | no_license | #!/bin/bash
#cat downnodes >> downnodes.log
filename=$(date +%Y%m%d)_$(date +%H%M%S)
catnewlist=$(cat ./newlist)
catlastlist=$(cat ./lastlist)
while [ 1 -eq 1 ]
do
gawk '{ print $1,$2,$3,$4,$5 }' hostlist|bash newping.sh
sleep 5
break
#将屏幕输出为名称为date的文件和newlist文件
done 2>&1 |tee $filename|tee newlist
#为了推送server酱格式美观,添加换... | true |
939db8d12c097c178d5c15fd50dc70237ef8cb56 | Shell | zackmark29/AsyncAwaitBestPractices | /Src/SubmitApkToAppCenterTest.sh | UTF-8 | 1,127 | 2.6875 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -e
UITestProject=`find "$BuildPath" -name HackerNews.UITests.csproj`
echo UITestProject: $UITestProject
UITestDLL=`find "$BuildPath" -name "HackerNews.UITests.dll" | grep bin | grep -v ref | head -1`
echo UITestDLL: $UITestDLL
UITestBuildDir=`dirname $UITestDLL`
echo UITestBuildDir: $UITestB... | true |
b33eff95539add2bd89aeac54c03f44b91612eab | Shell | Skarlso/documentation | /.ci/check-manifest-entrypoint | UTF-8 | 675 | 2.953125 | 3 | [
"CC-BY-4.0"
] | permissive | #!/usr/bin/env bash
# SPDX-FileCopyrightText: 2021 SAP SE or an SAP affiliate company and Gardener contributors
#
# SPDX-License-Identifier: Apache-2.0
if [[ $(uname) == 'Darwin' ]]; then
READLINK_BIN="greadlink"
else
READLINK_BIN="readlink"
fi
repoPath="$(${READLINK_BIN} -f "$(dirname "${0}")/..")"
manifestPath... | true |
24d611743550ed1983b10e3197a5086b266d17cc | Shell | Monofony/SymfonyStarter | /etc/travis/suites/application/script/test-phpstan | UTF-8 | 391 | 3.140625 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
source "$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)/../../../../bash/common.lib.sh"
prepare_phpstan_for_test() {
run_command "bin/console cache:clear --no-warmup --env=dev"
run_command "bin/console cache:warmup --env=dev"
}
print_header "Testing (PHPStan)" "AppName"
prepare_phpstan_for_... | true |
e479dad2854007927708f47ddbf1e2f35cb0deb8 | Shell | jimmyrocks/jimmyrocks.github.io | /_generate_thumbs.sh | UTF-8 | 993 | 3.84375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
img_dirs=("images/presentations/" "images/writings/" "images/projects/", "images/photography/")
thumbnails_dir="thumbnails/"
img_sizes=("160" "320" "640" "1280")
force=false
# Allow a force to regenerate all files
if [ "$1" == "-f" ]; then
force=true
fi
for img_dir in ${img_dirs[@]}; do
# img_dir="im... | true |
e42d3c4f9566597c77a4b4f5dec58c5d1b33d019 | Shell | webflow/oauth2_proxy | /entrypoint.sh | UTF-8 | 3,470 | 2.515625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -e
set -f
export PATH=/bin:/usr/bin:/usr/local/bin:/usr/sbin:/
if [ ! -z ${OAUTH2_PROXY_CLIENT_ID+x} ] && [ ! -z $OAUTH2_PROXY_CLIENT_ID ]; then
PROXY_ARGS="${PROXY_ARGS} --client-id=${OAUTH2_PROXY_CLIENT_ID}"
fi
if [ ! -z ${OAUTH2_PROXY_CLIENT_SECRET+x} ] && [ ! -z $OAUTH2_PROXY_CLIENT_SECRET ]; ... | true |
2bc8ea28d22e2685eb1256a189ec39f865ec45ea | Shell | sauceda/i-pi | /examples/regtest/lammps/h2o-geop-fixatoms/analysis-scripts/prepare-folders.sh | UTF-8 | 3,154 | 3.0625 | 3 | [] | no_license | #!/bin/bash
# Helper script to create all test cases if I need to make some changes
for mode in bfgs bfgstrm lbfgs cg sd
do
# 0 fixed atoms
sed -e "s/PREFIX/sim-0fixed.${mode}/g" analysis-scripts/input.template.xml > input.xml
sed -i -e "s/^.*FIXATOMS.*$//g" input.xml
sed -i -e "s/MODE/${mode}/g" input... | true |
57b9c8582c74104b93c0fef8d6873685849b8b43 | Shell | aswen/scripts | /make_lvm_partitions | UTF-8 | 1,729 | 3.5 | 4 | [] | no_license | #!/bin/bash
# make_lvm_partitions
# This makes a lvm type partition on each disk you define. you can use that partition than as a pv.
# I use a lvm type partition rather than a raw device because it is better noticeable when running fdisk -l.
# Copyright (C) 2014-2015 Alexander Swen <alex@swen.nu>
# This program is f... | true |
09ecc5d8db637ef4cb2b9575acdde8132e9ffa2c | Shell | asoroosh/xDF_Paper18 | /Sim/tsSim/Sub_ts_Sim.sh | UTF-8 | 621 | 2.5625 | 3 | [] | no_license | nRlz=1000
mat_filename="tsSim"
for t_cnt in `seq 1 4`
do
for rho_cnt in `seq 1 5`
do
FileName="tsSim_t${t_cnt}_rho${rho_cnt}.sh"
cat > $FileName << EOF
#!/bin/bash
#$ -o /storage/essicd/data/HCP/Soroosh/ACAnal/tsSim/logs
#$ -e /storage/essicd/data/HCP/Soroosh/ACAnal/tsSim/logs
#$ -l h_rt=00:10:00
#$ -l h_vmem=3G
#... | true |
420b7847ea4318b374acef75df5003aba8ae51ae | Shell | Atemia/wild_maize_code_challenge | /challenge_2/scripts/getData.sh | UTF-8 | 2,301 | 3.796875 | 4 | [] | no_license | #!/usr/bin/env bash
# This scripts downloads the a complete genome and CDS of Nostoc punctiforme PCC 73102 and Nostoc commune HK-02.
# It also genrates a query subject using the first 100 genes of the Nostoc commune HK-02 CDS
# Download the full genome to the data directory # Nostoc punctiforme PCC 73102
wget https://... | true |
b5d9f56adf60b609efcea5289a0a7ad7933b6176 | Shell | agustinperezgarciaa/inmobiliaria-martinez-latorre | /Instalacion/ConfiguracionBaseDeDatos.sh | UTF-8 | 444 | 3.15625 | 3 | [] | no_license | #!/bin/bash
DB_ROOT=""
DB_ROOT_PASS=""
DB_NAME="inmobiliaria"
# Recogemos el input del usuario
read -p "Usuario root del servidor mysql: " DB_ROOT
read -p "Contraseña root para el servidor mysql: " DB_ROOT_PASS;
# Creamos la nueva base de datos
mysql -u ${DB_ROOT} -p${DB_ROOT_PASS} -e "CREATE DATABASE IF NOT EXIST... | true |
2f1a76f74b3219955a274eb8f3adb6d0a618633e | Shell | liranfar/express-react | /scripts/dockerUtil.sh | UTF-8 | 440 | 2.703125 | 3 | [] | no_license | #!/bin/bash
let services = ["server","mongo","client"]
# for a in $@ ; do
# if [[ a == "build"]]:
# fi
# done
# echo
docker-compose -f docker-compose.yml up -d --build server
docker-compose -f docker-compose.yml up -d --build mongo
# docker-compose -f docker-compose.yml up -d --build client
# d... | true |
38822bef4a99279a6e9dfaf3d63ee877bfc4d453 | Shell | shihuade/MultiMedia-Tools | /StreamEye/run_ParseStreamEyeCSVFiles.sh | UTF-8 | 27,222 | 2.890625 | 3 | [] | no_license | #!/bin/bash
runUsage()
{
echo "**********************************************************"
echo "**********************************************************"
echo " Usage: "
echo " $0 \${MP4FilesDir} \${Option} "
echo " ... | true |
41b758db716d70d327db5ba95edec8d32088dd87 | Shell | alex-waters/seldon-trial | /s2i_build.sh | UTF-8 | 647 | 2.53125 | 3 | [] | no_license | # Don't run this shell script!
# This is just an example of how to build the image for Seldon
# The name 'note-cluster' is the name for a specific case, as is the container id 8b4
# TO DO - have a variable for the image name taken from a config file / repo name / branch name
# TO DO - use the latest builder image from... | true |
8063b98cd57628de93c7b1e74615aaf3c7027199 | Shell | ligregni/backup | /.cshrc | UTF-8 | 3,061 | 2.828125 | 3 | [] | no_license | # Sergio Ligregni
#######################
# C Shell config
#######################
#bindkey -v
bindkey ^W backward-delete-word
[ "$?prompt" -eq "1" ] && stty kill ^u >/dev/null
[ "$?prompt" -eq "1" ] && stty werase ^w >/dev/null
#stty erase ^h
#######################
# PATH and other variables
#######################... | true |
62e15b4db5151447ad5c5ea534f72c4c40728f1b | Shell | idiap/idiaptts_egs_ljspeech | /s1/01_setup.sh | UTF-8 | 9,813 | 3.984375 | 4 | [] | no_license | #!/usr/bin/env bash
# Copyright 2018 by Idiap Research Institute, http://www.idiap.ch
#
# Author(s):
# Bastian Schnell, 04.04.2018
#
usage() {
cat <<- EOF
usage: ${PROGNAME} [OPTIONS] <Path to LJSpeech db> <num_workers=1>
This program loads the samples from the LJSpeech database.
It requires the pa... | true |
d0aec295c7d300f36737831e5c9c02e815b6c5db | Shell | jtobard/rundeck | /setversion.sh | UTF-8 | 1,374 | 3.625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
CUR_VERSION=$(grep version.number= `pwd`/version.properties | cut -d= -f 2)
CUR_RELEASE=$(grep version.release.number= `pwd`/version.properties | cut -d= -f 2)
CUR_TAG=$(grep version.tag= `pwd`/version.properties | cut -d= -f 2)
echo "current NUMBER: $CUR_VERSION"
echo "current RELEASE: $CUR_RELEASE"
echo... | true |
881045b135d21dc537af3318196a0b91179e2e1e | Shell | eigenbrot/snakes | /ssb | UTF-8 | 445 | 3.75 | 4 | [] | no_license | #!/bin/bash
PRE=""
while [[ $# -gt 0 ]]
do
key=$1
case $key in
-u)
echo "Using balmer subtracted scripts"
BALMSUB="_balmsub"
;;
*)
PRE="$1_"
;;
esac
shift
done
for i in `seq 1 6`; do
if [ ! -x "P$i${BALMSUB}.sh" ]; then
echo "P$i.sh is either non-existent or non-execut... | true |
df4abdb6989e13fd14480d3cd22573629efbbab7 | Shell | zhouzach/dev-ops | /scripts/批量编辑文本/行尾添加逗号.sh | UTF-8 | 306 | 2.828125 | 3 | [] | no_license |
# https://stackoverflow.com/questions/4247068/sed-command-with-i-option-failing-on-mac-but-works-on-linux
# 每行行尾添加,
# on MAC:
# Note missing space after -i option! (Necessary for GNU sed)
sed -i'' -e 's/$/,/' test.txt
sed -i'.bak' -e 's/$/,/' test.txt
# on centos:
sed -i 's/$/,/' test.txt | true |
5300755be49d5029839c43fceef699f6a1d3dc20 | Shell | xueye9/study | /HadoopDoc/install/myhadoop_install.sh | UTF-8 | 5,211 | 3.96875 | 4 | [] | no_license | #!/bin/sh
# ssh port should be changed for your use
sshport=9922
root_password=123456
hostname_file=hosts_name.txt
save_keys()
{
#echo "Setup public key $1";
ID=`hostid`;
PUB=$(cat "$HOME/.ssh/id_rsa.pub");
expect -c "
set timeout 1;
spawn ssh -p $sshport root@$1;
expect \"(yes/no)?\" {send \"yes... | true |
42b2d45d532d9727b80e4e0a0d8e7e642fe17d11 | Shell | Dyad-AI/pandoc-buildpack | /bin/compile | UTF-8 | 1,815 | 3.578125 | 4 | [] | no_license | #!/usr/bin/env bash
# fqxp: based on the following buildpack
# https://github.com/illustrativemathematics/pandoc-buildpack
indent() {
sed 's/^/ /'
}
verbose() {
echo "-----> $1"
}
BUILD_DIR=$1
CACHE_DIR=$2
VENDOR_DIR="$BUILD_DIR/vendor"
INSTALL_DIR="$VENDOR_DIR/pandoc"
if [ ! -f "$BUILD_DIR/.pandoc-v... | true |
61d4b682fdcf4b4fdad5c0de2c600c264551f0f6 | Shell | hmasmoudi/SyphaxOS | /Default/0003-SyphaxOSGnome3/001_BuildPackagesScripts/0041-GConf/PKGBUILD | UTF-8 | 722 | 2.859375 | 3 | [] | no_license | # Maintainer: Hatem Masmoudi <hatem.masmoudi@gmail.com>
pkgname=GConf
pkgver=3.2.6
pkgrel=6
pkgdesc="The GConf package contains a configuration database system used by many GNOME applications. "
arch=('x86_64')
url="http://ftp.gnome.org/pub/gnome/sources/GConf/3.2"
license=('GPL')
groups=('desktop')
source=("$url/${pk... | true |
4e1d3caca5f9509986aa140db5a155cbd7d5f8be | Shell | skyclub3/scct | /simulation_scripts/simulation/selection_CEU/diff_coeff/2.SplitPop300.sh | UTF-8 | 564 | 2.78125 | 3 | [
"LicenseRef-scancode-other-permissive"
] | permissive | # 1. Split according to populations.
# 2. Extract 300 replicates for each population.
# (120+4) * 300 = 37200
#AFR_CEU.sel_yri.1300.gz
ss=`seq 500 100 2000`
for s in ${ss}
do
#let "n=${s}*2"
#let "h=(${n}+4)*300"
echo "zcat AFR_CEU.sel_ceu.${s}.gz | java -jar -Xmx1G ~/scct/MSIndividualExtractor.V1.0.jar 1 ... | true |
5dd0bd36fd14ca8b70635d99de9d29df26924f8a | Shell | StefanoBelli/my_config_files | /minecraft.sh | UTF-8 | 453 | 3.5625 | 4 | [] | no_license | #!/bin/sh
MCPATH=/opt/minecraft/minecraft.jar
JAVA=/usr/bin/java
JAVA_FLAGS=-jar
echo " *** Checking requirements before launching... "
if ! which java 2>/dev/null >>/dev/null;
then
echo " !!! Java wasn't found in $PATH "
exit 1
fi
echo " +++ Java found in $PATH"
if [ ! -f $MCPATH ];
then
echo " !!! Cannot find... | true |
1e39b7c6d5d40185c594b8c4fbe661d2c4099a6f | Shell | minkokohein/meteor-apm-client | /run_tests.sh | UTF-8 | 552 | 3.25 | 3 | [] | no_license | #!/bin/bash
## Tiny script to copy the package into the test meteor app
DEST_PATH=./test/packages/meteor-apm
# reset and create the package-folder
if [[ -d $DEST_PATH ]]; then
rm -rf $DEST_PATH/lib
rm -rf $DEST_PATH/package.js
fi
mkdir -p $DEST_PATH
cp -rf lib $DEST_PATH/lib
cp package.js $DEST_PATH/package.js
... | true |
962d8ff15ee0598e6786494e80f06ce2dbadd037 | Shell | Toaster192/.dotfiles | /.bin/lock | UTF-8 | 2,237 | 3.0625 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
pictures_dir="$(xdg-user-dir PICTURES 2> /dev/null)"
slice="${pictures_dir:-$HOME/Pictures}/slice.png"
# lock="${pictures_dir:-$HOME/Pictures}/lock.png"
image=$(mktemp --tmpdir --suffix=.png lock.XXXXXXXXXX)
trap 'rm -f "$image"' SIGINT SIGTERM EXIT
screens=$(xrandr | grep -Eo '[0-9]+x[0-9]+\+[0-9... | true |
b6f972426d764e2f05d55d0dec901b973160dffd | Shell | Sanardi/bash-scripts-collection | /sanardikills | UTF-8 | 281 | 2.84375 | 3 | [] | no_license | #!/bin/bash
# this script asks you which process you'd like to kill and kills it
# Usage: ./sanardikils
echo "Which process would you like to kill?"
read TOKILL
kill $(ps aux | grep $TOKILL | grep -v grep | awk '{ print$2 }' )
echo sanardi killed the process for you
exit 0
| true |
218997c957b5e96acf9540a178ccc6e985626973 | Shell | Alexander-Palmer/smallRNA-polymRNA | /miRDeep2.sh | UTF-8 | 622 | 2.640625 | 3 | [] | no_license | #!/bin/bash
#Conduct miRDeep2 pre-processing and analysis on small
RNA-seq data to identify and quantify novel miRNAs
######################################################
#Convert .bam files to .fasta format for miRDeep2 processing
for file in *clip.bam
do
samtools fasta $file
done
#Pre-procesing sequencing dat... | true |
0d4011687770915658396c9bcbd02405c2fb83c0 | Shell | bast69/piholeparser | /scripts/CommonScripts/Update-Config-File.sh | UTF-8 | 865 | 4.0625 | 4 | [
"WTFPL"
] | permissive | #!/bin/bash
# shellcheck disable=SC1090,SC2154
## This Modifies Config File Variables
## Variables
SCRIPTDIRA=$(dirname $0)
source "$SCRIPTDIRA"/foldervars.sh
if
[[ -f $OUTSIDEDIRVARS ]]
then
source $OUTSIDEDIRVARS
else
echo "Outside Vars File Missing, Creating."
cp /etc/"$git_repo_name"/scripts/scriptvars/"$OU... | true |
dc5973adb849ca091b48068b830c45048cc46076 | Shell | ViBiOh/dotfiles | /installations/git_fzf | UTF-8 | 547 | 3.640625 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -o nounset -o pipefail -o errexit
clean() {
rm -rf "${HOME}/.fzf.bash"
rm -rf "${HOME}/opt/fzf"
}
install() {
if ! command -v git >/dev/null 2>&1; then
var_error "git is required"
exit
fi
local FZF_INSTALL_DIR="${HOME}/opt/fzf"
if [[ ! -d ${FZF_INSTALL_DIR} ]]; then
... | true |
57867a6f8cf4d62ff01972831a704f140158d385 | Shell | mikeverbeck/envy | /bin/envy | UTF-8 | 613 | 3.765625 | 4 | [] | no_license | #!/usr/bin/env bash
declare envyrc
#envy_envyrc_files("$HOME/.envyrc")
export envy_path
if [[ -z "${envy_path:-}" ]]
then
if [[ -d "${HOME}/.envy" ]]
then envy_path="${HOME}/.envy"
fi
fi
envy_command_path="${HOME}/.envy/libexec"
export PATH="${envy_command_path}:${PATH}"
command="$1"
case "$command" in
"... | true |
74e555d3bd9b92e07fb1ba4f4ca86c89baf81012 | Shell | greenplum-db/pxf | /automation/src/test/resources/data/orc/generate_orc_types.bash | UTF-8 | 954 | 3.46875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Requires Hive 2.3+
set -euxo pipefail
# Run this command to generate the ORC file
SRC_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)
HDFS_CMD=${HDFS_CMD:-~/workspace/singlecluster/bin/hdfs}
HIVE_CMD=${HIVE_CMD:-~/workspace/singlecluster/bin/hive}
HDFS_DIR=${HDFS_DIR:-/tmp/orc_types/csv}
HIVE_WAREHO... | true |
87a4f34fd80f698e9e5e519de18fdfb0f3f9bac1 | Shell | ilyastoli/azure-voting-app-redis | /kube/config.sh | UTF-8 | 348 | 3.03125 | 3 | [
"LicenseRef-scancode-generic-cla",
"MIT"
] | permissive | WORKDIR="$WORKSPACE/kube"
INPUT="$WORKDIR/params"
pwd;
while IFS= read -r line
do
key=$(echo "$line" | awk -F":" '{print $1}')
value=$(echo "$line" | awk -F":" '{print $2}')
echo "key=${key}, val=${value}"
for manifest in $(ls ${WORKDIR}/ ls *.y*ml); do
sed -i "s/${key}/${value}/g" ${WORKDIR}/${manifest}... | true |
dc68acf50127c2a4feae353384d9ded8a54489a1 | Shell | noelboss/learn-laravel | /scripts/install-php7.sh | UTF-8 | 1,486 | 3.53125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# https://stackoverflow.com/questions/48402621/how-to-switch-between-php-5-6-7-2-on-cloud9#48509743
echo "Started with a clean Cloud9 PHP/Apache workspace. I followed this article How to Install PHP 5.6, PHP 7.1 on Ubuntu 16.04, 14.04 using PPA and based on that, this is how it turned out:"
sudo apt-get ... | true |
7f7d337417c37ffb1252d60acde2a38e38bb067a | Shell | thinkanyforever/mingw-ffmpeg | /gen | UTF-8 | 7,104 | 3.796875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#------------------------------------------------
# start options
#------------------------------------------------
cpuCount=1 # cpuCount for complete
remoteUpdate=0 # update source for git & hg
build=0 # (configure) make
rebuild=0 # clean & configure & make
ful... | true |
716d8de71d3916da0588520d6346e38719a1afeb | Shell | amylim/vimsetup | /vim_setup.sh | UTF-8 | 340 | 2.5625 | 3 | [] | no_license | #!/bin/bash
curl https://raw.githubusercontent.com/amylim/vimsetup/master/.vimrc > ~/.vimrc
# solarized
if [ ! -d ~/.vim/colors/ ]
then
echo "vim colors dir doesn't exist"
mkdir -p ~/.vim/colors/
fi
curl https://raw.githubusercontent.com/altercation/vim-colors-solarized/master/colors/solarized.vim > ~/.vim/c... | true |
90456773233dcc0922017a73f95bec01f8192617 | Shell | IGC-bioinf/phasing_scripts | /reformat_vcf.gz.sh | UTF-8 | 624 | 2.59375 | 3 | [] | no_license | cd /home/roma/comp_f
for i in $(ls /home/roma/comp_f | sed 's/_comp//g')
do
cd ${i}_comp
cd ${i}_shapeit_comp
gzip -d ${i}_proband_shapeit_belref1000G.vcf.gz && sed -i "s/proband/${i}_proband/g" ${i}_proband_shapeit_belref1000G.vcf && bgzip -c ${i}_proband_shapeit_belref1000G.vcf > ${i}_proband_shapeit_belref10... | true |
0301b26de35624fed1ab60dade95037cf893050c | Shell | yiyebingfeng/GL-MT1300_Plugin | /scripts/customize-feeds.sh | UTF-8 | 4,107 | 2.609375 | 3 | [
"MIT"
] | permissive | cd /workdir
mkdir -p /workdir/openwrt/package/lean
# Add luci-app-ssr-plus
cd /workdir/openwrt/package/lean
git clone --depth=1 https://github.com/fw876/helloworld
cd /workdir/openwrt
cd /workdir/lede/package/lean
plist="shadowsocksr-libev pdnsd-alt microsocks dns2socks simple-obfs v2ray-plugin v2ray xray trojan troj... | true |
8fee878331a1f8452fec1a0385c388d94ebdbae2 | Shell | stefanialvs/auviewer | /tools/publish_mac | UTF-8 | 465 | 3.265625 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# Get project root relative to this script
prjroot="$( cd "$( dirname "${BASH_SOURCE[0]}" )/.." >/dev/null 2>&1 && pwd )"
[[ -z "$prjroot" ]] && { echo "Script location cannot be root." ; exit 1; }
"${prjroot}"/tools/clean
# Build bdist_wheel
printf "\nBuilding bdist_wheel\n"
(cd "${prjroot}"; py... | true |
119540121662fdcda551f6bec28f8654dda06fd6 | Shell | DrtJordan/AdaptiveStorm | /Weka Files/v1.0/StormSampleFiles/getOutputResult.sh | UTF-8 | 348 | 3.25 | 3 | [] | no_license | #!/bin/bash
if [ $# -ne 1 ]
then
echo Usage: 1 parameters
exit 1
else
workersName=$1
fi
for dictionary in ./*
do
if [ -d "$dictionary" ] && [ "$dictionary" != "./sampleOutput" ] && [ "$dictionary" != "./processed" ]
then
java -jar getSample.jar "$dictionary" "$w... | true |
c5d62f391c76f9e7084c70e6a1a1971165864543 | Shell | johng42/HamPi | /packaging_utilities/compress_hampi_image.sh | UTF-8 | 1,316 | 3.6875 | 4 | [
"LicenseRef-scancode-warranty-disclaimer"
] | no_license | #!/bin/bash
echo -n "HamPi Packaging started at: "
start_time=`date`
echo $start_time
# Compute the seconds since epoch for start date
t1=`date --date="$start_time" +%s`
VERSION=1.0
# Compress image using XZ format
pxz "HamPi v${VERSION} by W3DJS/HamPi_v${VERSION}.img"
# Generate SHA256SUM
sha256sum "HamPi v${VERSI... | true |
bc7963dbdb0e4673c9f6fce58db19b946c20217f | Shell | tanhzongbei/go-tool | /api/examples/test_doc/app/sh/params.sh | UTF-8 | 481 | 2.8125 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
stage=$1
if [ -z ${stage} ]
then
stage="test"
fi
# 服务名
serviceName=test_doc_app
goRoot=/usr/local/go
goPath=/Users/hao/Documents/Projects/XunLei/video_buddy_service
# 跳板机
jumpServerKey=xx
jumpServer=xx
# 目标机
targetServerKey=xx
targetServer=xx
if [[ -z ${serviceName} || -z ${goRoot} || -z ${g... | true |
072f18eacc024c6431cff1873b81ceeef817db69 | Shell | petronny/aur3-mirror | /pd-pan/PKGBUILD | UTF-8 | 591 | 2.59375 | 3 | [] | no_license | # Maintainer: Em Ludek <ludek.me@gmail.com>
pkgname=pd-pan
_pkg=pan
pkgver=0.1.2
pkgrel=1
pkgdesc="A Pure Data library of stereo panning algorithms from various sources"
arch=('any')
url="http://www.puredata.info"
license=('GPL2')
depends=('pd')
source=("http://downloads.sourceforge.net/project/pure-data/libraries/$_pk... | true |
0bd76b95d4cba9baae8a00f9073bf133bc88fc69 | Shell | Naivedya02/learning101 | /Task3/Shell/Q8.sh | UTF-8 | 195 | 2.515625 | 3 | [] | no_license | read p
read q
read r
if test $p -eq $r && test $p -eq $r
then
echo "EQUILATERAL"
elif test $p -eq $r || test $p -eq $q || test $q -eq $r
then
echo "ISOSCELES"
else
echo "SCALENE"
fi
| true |
619fed3d469d7135a39f221a19cd764712198892 | Shell | FakeNewss/OCRDetector | /result/DNase/dnase/run_tissue_danse.sh | UTF-8 | 630 | 2.8125 | 3 | [] | no_license | declare -i dnase_enrichment=-200
while ((dnase_enrichment<1000))
do
let dnase_enrichment+=200
echo "____________________________"
echo "DNase-$1:$dnase_enrichment"
dnase_overlap_cnt=$(bedtools intersect -a ./$1/Dnase_seq.$1.bed -b ./$2 -wa | awk -v dnase_enrichment="$dnase_enrichment" '$5 >= dnase_enrichment' |... | true |
d5a3c472ee256f99b4d4a26335dce772244460aa | Shell | marzuf/Dixon2018_integrative_data | /liver_buildHiC_cmds.sh | UTF-8 | 12,761 | 2.796875 | 3 | [] | no_license | #!/bin/bash
# ./liver_buildHiC_cmds.sh
logfile="liver_buildHiC_logfile.txt"
rm -f $logfile
echo "--------------------------------------------------------------------------------------" >> ${logfile}
start_time=$(date -R)
echo $start_time
echo $start_time >> ${logfile}
echo "----- Script starts -----" >> ${logfile... | true |
45f7ececd088c9a7c276d136682875bc2256f6be | Shell | moonblade/ddfsPorter | /inserterScript.sh | UTF-8 | 430 | 3.25 | 3 | [] | no_license | databaseName="ddfs"
for f in values/*; do
files=$(find $f -path "*[0-9]" | sort -n)
for g in $files; do
# remove trailing null lines with sed -e :a -e '/^\n*$/{$d;N;ba' -e '}'
insertValues=$(cat $g | sed -e '$s/,$/;/')
insertCommand="insert into ${f/values\/} values $insertValues"
echo $insertCommand > t... | true |
057f08dc384fdb478c06c65618768de2b776e482 | Shell | gavinengel/decorate | /.bashrc | UTF-8 | 218 | 2.890625 | 3 | [] | no_license | LOADED_BASHRC=1;
if [ -z "$LOADED_BASH_PROFILE" ]; then
if [ -f ~/.bash_profile ]; then
. ~/.bash_profile
fi
fi
export NVM_DIR="/home/gavin/.nvm"
[ -s "$NVM_DIR/nvm.sh" ] && . "$NVM_DIR/nvm.sh" # This loads nvm
| true |
a6084551505bea9e0fa6b6851bbb0b736e062b7c | Shell | reppard/centos-firefox-jenkins-slave | /start.sh | UTF-8 | 262 | 2.90625 | 3 | [] | no_license | #!/usr/bin/env bash
start_headless_firefox() {
local disp=:99
Xvfb ${disp} -shmem -screen 0 1024x768x24 2> /dev/null &
DISPLAY=${disp} firefox 2> /dev/null &
}
start_sshd() {
/usr/sbin/sshd -D
}
main() {
start_headless_firefox
start_sshd
}
main
| true |
20a855941c6fabf78190f8920c4c2567582b0f66 | Shell | cjlyth/mr-deployer | /script/bootstrap | UTF-8 | 760 | 2.9375 | 3 | [] | no_license | #!/bin/sh
# script/bootstrap: Resolve all dependencies that the application requires to
# run.
set -e
cd "$(dirname "$0")/.."
cf dev start
# Start gitlab for local debugging
# see https://docs.gitlab.com/omnibus/docker/
docker rm -f gitlab
# --restart always \
mkdir -p $HOME/gitlab/{config,l... | true |
48b8d8f990df24e2ece6fa48acb237a2164ee8f9 | Shell | abhiksrivastava/shellscript | /ifElse/minmax.sh | UTF-8 | 407 | 3.25 | 3 | [] | no_license | #program for min amd max value
read -p "enter the numbers:"
num_1=$(( $random % 900+100 ))
echo "$num_1"
num_2=$(( $random % 900+100 ))
echo "$num_2"
num_3=$(( $random % 900+100 ))
echo "$num_3"
if [ $num_1 -gt $num_2 -a $num_1 -gt $num_3]
then
echo "num_1 is greatest"
elif [ $num_2 -gt $num_1 -a $num_2 -gt... | true |
84af02f83eac2989b6aa0a8e842c80da2eef3740 | Shell | spotty-cloud/spotty | /spotty/providers/gcp/dm_templates/instance/data/startup_scripts/02_mount_volumes.sh | UTF-8 | 494 | 3.53125 | 4 | [
"MIT"
] | permissive | #!/bin/bash -xe
DEVICE_NAMES=({{{DISK_DEVICE_NAMES}}})
MOUNT_DIRS=({{{DISK_MOUNT_DIRS}}})
for i in ${!DEVICE_NAMES[*]}
do
DEVICE=/dev/disk/by-id/google-${DEVICE_NAMES[$i]}
MOUNT_DIR=${MOUNT_DIRS[$i]}
blkid -o value -s TYPE $DEVICE || mkfs -t ext4 $DEVICE
mkdir -p $MOUNT_DIR
mount $DEVICE $MOUNT_DIR
chmod... | true |
90f9926d0490e5907bc58afd66b97640f1bfc699 | Shell | vangyyy/linux-setup | /scripts/fs.sh | UTF-8 | 820 | 3.609375 | 4 | [
"MIT",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!/bin/bash
readonly REMOVE=(
${HOME}/Templates/
${HOME}/Public/
${HOME}/.config/autostart/create-template.desktop
/usr/share/gnome-shell/extensions/*
)
readonly CREATE=(
${HOME}/.icons
${HOME}/.themes
${HOME}/.fonts
${HOME}/Pictures/Wallpapers
${HOME}/StudioProjects
)
banner "REM... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.